[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TTaskDialogBaseButtonItem.GetDisplayName

Gets the value for the DisplayName property.

## Declaration

Source position: dialogs.pp line 640

`protected function TTaskDialogBaseButtonItem.GetDisplayName: TTranslateString; override;`

## Function result

Value for the DisplayName property.

## Description

GetDisplayName is an overridden method used to get the value for the DisplayName property. In TTaskDialogBaseButtonItem, the value in Caption is used (when assigned) for the property value. When Caption is empty, the inherited method is called to get the property value.

## See also

TCollectionItem